Proxy a GET request to the AI service
GET
/api/ai/{endpoint}/{configId}
const url = 'https://example.com/api/ai/example/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/ai/example/example \ --header 'Authorization: Bearer <token>'Forwards a GET request to the configured AI server for the given endpoint and repository.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”endpoint
required
AI endpoint name
string
configId
required
Repository configuration ID
string
Responses
Section titled “Responses”Proxied AI service response
Media typeapplication/json
object
Examplegenerated
{}Missing endpoint or config id